CRAN Package Check Results for Package ExomeDepth

Last updated on 2021-07-25 08:50:55 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 1.1.15 41.64 309.48 351.12 OK
r-devel-linux-x86_64-debian-gcc 1.1.15 35.43 232.95 268.38 OK
r-devel-linux-x86_64-fedora-clang 1.1.15 431.83 OK
r-devel-linux-x86_64-fedora-gcc 1.1.15 416.60 OK
r-devel-windows-x86_64 1.1.15 43.00 254.00 297.00 OK
r-devel-windows-x86_64-gcc10-UCRT 1.1.15 OK
r-patched-linux-x86_64 1.1.15 40.09 291.60 331.69 OK
r-patched-solaris-x86 1.1.15 592.20 OK
r-release-linux-x86_64 1.1.15 33.01 292.68 325.69 OK
r-release-macos-arm64 1.1.15 ERROR
r-release-macos-x86_64 1.1.15 WARN
r-release-windows-ix86+x86_64 1.1.15 101.00 321.00 422.00 OK
r-oldrel-macos-x86_64 1.1.15 WARN
r-oldrel-windows-ix86+x86_64 1.1.15 106.00 424.00 530.00 OK

Check Details

Version: 1.1.15
Check: package dependencies
Result: ERROR
    Packages required but not available:
     'Rsamtools', 'GenomicRanges', 'GenomicAlignments'
    
    See section ‘The DESCRIPTION file’ in the ‘Writing R Extensions’
    manual.
Flavor: r-release-macos-arm64

Version: 1.1.15
Check: whether package can be installed
Result: WARN
    Found the following significant warnings:
     VP_psi.c:843:8: warning: 'gsl_finite' is deprecated: first deprecated in macOS 10.9 [-Wdeprecated-declarations]
     VP_psi.c:843:41: warning: 'gsl_finite' is deprecated: first deprecated in macOS 10.9 [-Wdeprecated-declarations]
Flavors: r-release-macos-x86_64, r-oldrel-macos-x86_64